Name: libmthca
Version: 1.0.5
Release: 1%{?dist}
Summary: Mellanox InfiniBand HCA Userspace Driver
Group: System Environment/Libraries
License: GPL/BSD
Url: http://www.openfabrics.org/
Source: http://www.openfabrics.org/downloads/mthca/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libibverbs-devel >= 1.1
ExclusiveArch: i386 x86_64 ia64 ppc ppc64
Obsoletes: %{name}-devel
Provides: libibverbs-driver
%description
Mellanox hardware driver for use with libibverbs user space verbs access
library.  This driver supports Mellanox based Single Data Rate and Dual Data
Rate cards, including those from Cisco, Topspin, and Voltaire.  It does
not support the Connect-X architecture based Quad Data Rate cards (libmlx4
handles that hardware).

%package static
Summary: Static version of the libmthca driver
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%description static
Static version of libmthca that may be linked directly to an
application.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/*.so*
%{_sysconfdir}/libibverbs.d/*.driver
%doc AUTHORS COPYING ChangeLog README

%files static
%defattr(-,root,root,-)
%{_libdir}/*.a

%changelog
* Thu Jan 22 2009 Doug Ledford <dledford@redhat.com> - 1.0.5-1
- Update to latest version
- Add pseudo-provides for libibvers-driver
- Related: bz454778

* Thu Feb 14 2008 Doug Ledford <dledford@redhat.com> - 1.0.4-9
- Obsolete the old -devel package, it's been replaced by the -static package
- Resolves: bz441825

* Fri Jan 25 2008 Doug Ledford <dledford@redhat.com> - 1.0.4-8
- Bump to a number greater than that released in 5.1

* Tue Jan 15 2008 Doug Ledford <dledford@redhat.com> - 1.0.4-1
- Ressurect package and update to latest version

* Thu Mar 29 2007 Doug Ledford <dledford@redhat.com> - 1.0.3-2
- Put the static lib in a package named static
- Small touchups to the spec file

* Wed Jul 26 2006 Roland Dreier <rdreier@cisco.com> - 1.0.3-1
- New upstream release

* Mon Mar 14 2006 Roland Dreier <rdreier@cisco.com> - 1.0.2-1
- New upstream release

* Thu Feb 16 2006 Roland Dreier <rdreier@cisco.com> - 1.0-1
- New upstream release

* Sun Feb 15 2006 Roland Dreier <rolandd@cisco.com> - 1.0-0.5.rc7
- New upstream release

* Sun Jan 22 2006 Roland Dreier <rolandd@cisco.com> - 1.0-0.4.rc6
- New upstream release

* Tue Oct 25 2005 Roland Dreier <rolandd@cisco.com> - 1.0-0.3.rc5
- New upstream release

* Wed Oct  5 2005 Roland Dreier <rolandd@cisco.com> - 1.0-0.2.rc4
- Update to upstream 1.0-rc4 release

* Mon Sep 26 2005 Roland Dreier <rolandd@cisco.com> - 1.0-0.1.rc3
- Initial attempt at Fedora Extras-compliant spec file
